Package org.apache.avro

# Interface LogicalTypes.LogicalTypeFactory

Enclosing class:
  `LogicalTypes`

public static interface LogicalTypes.LogicalTypeFactory
Factory interface and SPI for logical types. A `LogicalTypeFactory` can be registered in two ways:

1. Manually, via `LogicalTypes.register(LogicalTypeFactory)` or `LogicalTypes.register(String, LogicalTypeFactory)`
2. Automatically, when the `LogicalTypeFactory` implementation is a public class with a public no-arg constructor, is named in a file called `/META-INF/services/org.apache.avro.LogicalTypes$LogicalTypeFactory`, and both are available in the classpath

See Also:
  - `ServiceLoader`

## Method Summary

Modifier and Type
Method
Description
`LogicalType`
`fromSchema(Schema schema)`
`default String`
`getTypeName()`

## Method Details

### fromSchema

LogicalType fromSchema(Schema schema)

### getTypeName

default String getTypeName()